Update Safari on your Mac to protect against Spectre bug

All University Mac users are strongly advised to update to the newest version of Apple’s Safari web browser in order to protect against the impact of the Spectre bug recently announced in the news. The update will help to ensure that Macs have the latest security features, and remain compatible with other University systems.

To Update Safari

  1. Go to Mac Self Service
  2. Under Categories, click on OS Updates*
  3. An icon saying either Safari v11.0.3 Update for OS X El Capitan or Safari v11.0.3 Update for macOS Sierra should appear*
  4. Click on Install (this may take a while to complete)
  5. This install will take several minutes but no reboot is required upon completion

 * Customers will see only the relevant update option for their operating system version

Safari updates will only appear if you are running the latest version of either the OS X El Capitan (10.11.6) or macOS Sierra (10.12.6) operating systems. You can check which version is running by selecting About This Mac.

If your macOS version is OS X Yosemite or earlier, please follow the instructions available here to upgrade to macOS Sierra (10.12.6).

Manually Assured Users

It is recommended that you run all available updates for the system in the App Store, as per this advice:

https://support.apple.com/en-gb/HT201541

Need IT help?
If you need any assistance, contact the IT Service Desk on 0116 252 2253 and an IT Professional can visit if required.

Find out more about IT Services including training and help at www.le.ac.uk/itservices or contact the IT Service Desk on 0116 252 2253. Please make urgent queries by telephone.

Share this page:

Filed under:
Need IT Help?

IT Service Desk

Report an issue or make a request

Online:

In person:

Opening hours:
Mon - Fri 8.30am - 5.00pm

Phone:
0116 252 2253
Chat:

 

Teaching room help

Instant help:
0116 252 2919
Borrow: